fix: bump version to 1.6.3-preview and add a check in release.sh, we could'nt publish a release if it's still marked as a preview

This commit is contained in:
MasterAcnolo
2026-08-16 10:03:27 +02:00
parent b56ec1e62e
commit 62c109939a
2 changed files with 9 additions and 2 deletions

View File

@@ -4,6 +4,13 @@ set -euo pipefail
SCRIPT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
ROOT_DIR="$(cd "$SCRIPT_DIR/.." && pwd)"
VERSION=$(node -p "require('$ROOT_DIR/package.json').version")
f [[ "$VERSION" == *"-preview"* ]]; then
echo "Error: The current version ($VERSION) is a 'preview"
echo "Unable to launch release pipeline. Please update the package.json with a stable version.."
exit 1
fi
TAG="$VERSION"
# Parse arguments
@@ -17,7 +24,7 @@ for arg in "$@"; do
--copr) PUBLISH_COPR=true ;;
--publish) PUBLISH_SNAP=true; PUBLISH_COPR=true ;;
--dry-run) DRY_RUN=true ;;
*) echo "⚠️ Argument inconnu : $arg" ; exit 1 ;;
*) echo "Unknown Argument : $arg" ; exit 1 ;;
esac
done